package remote

import (
	"log"

	"git.cryptic.systems/fh-trier/go-flucky/pkg/remote"
	"github.com/spf13/cobra"
)

var force bool

var registerRemoteCmd = &cobra.Command{
	Use:   "register",
	Short: "register on remote servers",
	Run: func(cmd *cobra.Command, args []string) {

		if err := remote.RegisterDevice(configDir, force); err != nil {
			log.Fatal(err)
		}
	},
}

func init() {
	remoteCmd.AddCommand(registerRemoteCmd)
	registerRemoteCmd.Flags().BoolVarP(&force, "force", "f", false, "Force register on a remote server")
}
